Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath
Class KeyDeclaration

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.KeyDeclaration

public class KeyDeclaration
extends java.lang.Object

Holds the attribute declarations for the xsl:keys element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `BUILDING`
`static int` | `BUILT`
`int` | `m_buildState`
`XPath` | `m_match`
`java.lang.String` | `m_name`
`XPath` | `m_use`
`static int` | `UNBUILT`

Constructor Summary
`KeyDeclaration(java.lang.String name, XPath matchPattern, XPath use)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_name

    public java.lang.String m_name

### m_match

    public XPath m_match

### m_use

    public XPath m_use

### UNBUILT

    public static int UNBUILT

### BUILDING

    public static int BUILDING

### BUILT

    public static int BUILT

### m_buildState

    public int m_buildState

Constructor Detail

### KeyDeclaration

    public KeyDeclaration(java.lang.String name,
                          XPath matchPattern,
                          XPath use)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD